plcmdio32(1)

NAME
plcmdio32 - Qualcomm Atheros 32-bit MDIO Register Editor

SYNOPSIS
plcmdio32 [options] [device] [device] [...]

DESCRIPTION
Read or write global MDIO registers using multiple VS_MDIO_COMMAND vendor-specific management messages. Commands are entered using 32-bit register and data values then converted to threeequivalen 16-bit commands. The default operation is to read a register. Registers are written only if data is specified on the command line. Thsi program replaces program int6kmdio2.

This program writes MDIO instructions using 802.3ae Clause 45 (address, data and mask) format. See program int6kmdio for a similar program to write instructions using 802.3 Clause 22 (phy, reg, data and mask) format.

This program is part of the Qualcomm Atheros Powerline Toolkit. It replaces legacy program int6kmdio2. See the plc man page for an overview and installation instructions.

OPTIONS

-a address
    The 19-bit global register address. Some devices may not support all possible addresses. Addresses may be expressed in decimal, hexadecimal or binary notation. Hexadecimal values must be prefixed with "0x" or "0X". Binary values must be prefixed with "0b" or "0B".

-d data
    A 32-bit data value to be inserted into the specified register. The specified data value is written when this option is present; otherwise the specified register is read and the content is displayed. Data values may be expressed in decimal, hexadecimal or binary notation. Hexadecimal values are prefixed with "0x" or "0X". Binary values are prefixed with "0b" or "0B".

-e  Redirects stderr messages to stdout. By convention status and error messages are printed on stderr while primary program output is printed on stdout. This option prints all output on stdout in cases where this is desired.

-h  When writing 32-bit values, write to the high-order register before the low-order register. This option is needed in cases where the value in one register may affect the interpretation of some value written to the other register. This is not a common situation.

-i interface
    Select the host Ethernet interface. All requests are sent via this host interface and only reponses received via this host interface are recognized. The default interface is eth1 because most people use eth0 as their principle network connection; however, if environment string "PLC" is defined then it takes precedence over the default interface. This option then takes precedence over either default.

-q  Suppresses status messages on stderr.

-v  Prints additional information on stdout. In particular, this option dumps outgoing Ethernet packets on stdout.

-?,--help
    Displays program help information on stderr. This option takes precedence over all other options on the command line except version information.

-!,--version
    Displays program version information on stderr. This option takes precedence over all other options on the command line except help information. Use this option when sending screen dumps to Atheros technical staff.

ARGUMENTS

device
    The MAC address of some powerline device. More than one address may be specified. If more than one address is specified then operations are performed on each device in turn. The default address is local. See DEVICES for information about symbolic device addresses.

DEVICES
Powerline devices use Ethernet Media Access Control (MAC) addresses. A MAC address is a 48-bit value entered as 12 hexadecimal digits in upper, lower or mixed character case. Octets may be separated with colons for clarity. For example, "00b052000001", "00:b0:52:00:00:01" and "00b052:000001" are valid and equivalent.

The following MAC addresses are special and may be entered by name instead of number.

all Same as "broadcast".

broadcast
    A synonym for the Ethernet broadcast address, FF:FF:FF:FF:FF:FF. All devices, whether local, remote or foreign recognize messages sent to this address. A remote device is any device at the far end of a powerline connection. A foreign device is any device not manufactured by Atheros.

local
    A synonym for the Qualcomm Atheros vendor specific Local Management Address (LMA), 00:B0:52:00:00:01. All local Atheros devices recognize this address but remote and foreign devices do not. A remote device is any device at the far end of a powerline connection. A foreign device is any device not manufactured by Atheros.

REFERENCES
See the Qualcomm Atheros HomePlug AV Firmware Technical Reference Manual for technical information.

DISCLAIMER
Atheros HomePlug AV Vendor Specific Management Message structure and content is proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information may not be available. Qualcomm Atheros reserves the right to modify message structure and content in future firmware releases without any obligation to notify or compensate users of this program.

EXAMPLES
None.

SEE ALSO
plc(1), plcmod(1), plcmdio16(1), mdioblock(1), mdioblock2(1), mdiodump(1), mdiogen(1)

CREDITS
 Nathaniel Houghton
 Charles Maier